## org.apache.batik.apps.svgbrowser
Class XMLInputHandler.DocumentURIResolver

    java.lang.Object
      org.apache.batik.apps.svgbrowser.XMLInputHandler.DocumentURIResolver

All Implemented Interfaces:
  javax.xml.transform.URIResolver

Enclosing class:
  XMLInputHandler

public class XMLInputHandler.DocumentURIResolver
extends java.lang.Object
implements javax.xml.transform.URIResolver

Implements the URIResolver interface so that relative urls used in transformations are resolved properly.

Constructor Summary
`XMLInputHandler.DocumentURIResolver(java.lang.String documentURI)`

Method Summary
`javax.xml.transform.Source` `resolve(java.lang.String href, java.lang.String base)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLInputHandler.DocumentURIResolver

    public XMLInputHandler.DocumentURIResolver(java.lang.String documentURI)

Method Detail

### resolve

    public javax.xml.transform.Source resolve(java.lang.String href,
                                              java.lang.String base)

  Specified by:
    `resolve` in interface `javax.xml.transform.URIResolver`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.